@import "variables";
@import "mixins";

.section-features {
  background-color: $color_lightGray;
  padding: 45px 0 20px 85px;
}

//TODO: illustration positioning is broken at mockup. ask for assistance
.features-table {
  display: grid;
  grid-template-columns: 120px 0.8fr 1.2fr;
  grid-template-areas:
    "feature-logo-1 feature-container-1 features-header"
    "feature-logo-1 feature-container-1 features-illustration"
    "feature-logo-2 feature-container-2 features-illustration"
    "feature-logo-3 feature-container-3 features-illustration"
    "feature-logo-4 feature-container-4 features-illustration";

  @media #{$size_m} {
    grid-template-columns: 1fr;
    grid-template-areas:
    "features-header features-header"
    "feature-logo-1 feature-container-1"
    "feature-logo-2 feature-container-2"
    "feature-logo-3 feature-container-3"
    "feature-logo-4 feature-container-4"
    "feature-illustration feature-illustration"
  }

  @media #{$size_s} {
    grid-template-areas:
    "features-header"
    "feature-logo-1"
    "feature-container-1"
    "feature-logo-2"
    "feature-container-2"
    "feature-logo-3"
    "feature-container-3"
    "feature-logo-4"
    "feature-container-4"
    "feature-illustration"
  }
}

@for $i from 1 to 5 {
  .feature-container-#{$i} {
    grid-area: feature-container-#{$i};
    display: flex;

    .feature-info {
      flex-grow: 1;
    }
  }
}

// TODO: center feature logo
@for $i from 1 to 5 {
  .feature-logo-#{$i} {
    grid-area: feature-logo-#{$i};
    margin: 0 auto 30px;
  }
}

.features-header {
  grid-area: features-header;
  font-size: 36px;
  font-weight: bold;
  color: $color_text;
  padding-left: 20px;

  &::before {
    content: "<";
  }

  &::after {
    content: ">";
  }
}

.features-illustration {
  background-image: url("../img/features-illustration.png");
  background-size: auto;
  grid-area: features-illustration;
}

.feature-info {
  display: inline-block;
}

.feature-text {
  @include text_notes;
  margin-right: 45px;
}

.feature-label {
  color: $color_gray;
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 10px;
}
